Save This Page
Home » jboss-5.0.0.CR1-src » org » jboss » net » axis » server » [javadoc | source]
org.jboss.net.axis.server
public class: FlashAxisServiceServlet [javadoc | source]
java.lang.Object
   org.apache.axis.transport.http.AxisServlet
      org.jboss.net.axis.server.AxisServiceServlet
         org.jboss.net.axis.server.FlashAxisServiceServlet
A AxisServlet that allows the Flash player/plugin to interact with the Axis SOAP engine despite the inability to generate the SOAPAction HTTP header. It spoofs the header by looking at the request parameters and generating a derived HttpServletRequestWrapper class to appear to migrate those that should actually be HTTP headers into the header. This class then just calls its base class's implementation of doPost(). For example, if you were invoking the Hello World SOAP example, you would append: ?SOAPAction=\"Hello\" to the service context: /axisflash/flashservices/Hello

Change History

Nested Class Summary:
public class  FlashAxisServiceServlet.FilteredHttpServletRequest  This is a spoofing class whose sole purpose is to make it appear that the HTTP "SOAPAction" parameter is actually an HTTP Header attribute. 
Field Summary
protected  Logger log    The instance logger for the service. Not using a class logger because we want to dynamically obtain the logger name from concrete sub-classes. 
Fields inherited from org.jboss.net.axis.server.AxisServiceServlet:
server
Constructor:
 public FlashAxisServiceServlet() 
Method from org.jboss.net.axis.server.FlashAxisServiceServlet Summary:
doPost
Methods from org.jboss.net.axis.server.AxisServiceServlet:
getEngine
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.jboss.net.axis.server.FlashAxisServiceServlet Detail:
 public  void doPost(HttpServletRequest req,
    HttpServletResponse res) throws IOException, ServletException 
    This method sits on top of the AxisService.doPost() acting as a filter by first creating a FilterHttpServletRequest and passing it to the base class implementation.